map "$uri?$args:$http_referer:$http_user_agent:$remote_addr" $urlprot {
	default 0;
	"~*:77.111.114.42$" 0;
	#joomla specific
	"~*option=com_contact" 1;
	"~*option=com_jce" 1;
	"~*option=com_user" 1;
	"~*component/contact" 1;
	"~*component/users" 1;
	#generic
#	"~*registration" 1;
#	"~*register" 1;
#	"~*upload" 1;
#	"~*login" 1;
	#sql inject
	"~*select[ \%20\%22\%27]+" 1;
#	"~*select[\%20\%22\%27]*\(" 1;
	"~*select[ \%20\%22\%27]*\(" 1;
	"~*union.*all.*select" 1;
	"~*union.*select" 1;
	"~*concat[ \%20\%22\%27]*\(" 1;
#	"~*\/\*" 1;
#	"~*\*\/" 1;
	"~*\.\.\/" 1;
	"~*\.\.\%2f" 1;
	"~*\.\.\%af" 1;
	"~*\/\.\." 1;
	"~*\%2f\.\." 1;
	"~*\%af\.\." 1;
	"~*sleep[ \%20\%22\%27]*\(" 1;
	"~*now[ \%20\%22\%27]*\(" 1;
	"~*sysdate[ \%20\%22\%27]*\(" 1;
	"~*if[ \%20\%22\%27]*\(" 1;
	"~*xor[ \%20\%22\%27]*\(" 1;
}

map "$urlprot:$cprot" $root_cprot {
	default 0;
	"1:0" 1;
}
